<!DOCTYPE html>
<html lang="es">
<head>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>Instalar Certificado Autogenerado</title>
	<link rel="stylesheet" href="main.css">
</head>
<body>
	<main>
		<h1>Instalar Certificado Autogenerado</h1>
		<p>Para usar esta aplicación, necesitas instalar el certificado SSL autogenerado.</p>

		<section on-platform="win">
			<h2>Instrucciones para Windows</h2>
			<ol>
				<li>Haz doble clic en el archivo <a href="#server.cert">server.cert</a> para abrir el asistente de instalación del certificado.</li>
				<li>Selecciona "Instalar Certificado" y elige "Equipo Local".</li>
				<li>Selecciona "Colocar todos los certificados en el siguiente almacén" y elige "Autoridades de Certificación Raíz de Confianza".</li>
				<li>Completa el asistente y confirma la instalación.</li>
				<li>Reinicia la aplicación nan•web</li>
			</ol>
		</section>

		<section on-platform="mac">
			<h2>Instrucciones para Mac</h2>
			<ol>
				<li>Abre la aplicación Acceso a Llaveros (Keychain Access).</li>
				<li>Arrastra y suelta el archivo <a href="#server.cert">server.cert</a> en el llavero "Sistema".</li>
				<li>Encuentra el certificado en la lista <code>localhost</code>, haz doble clic en él y expande la sección "Confiar".</li>
				<li>Establece "Al usar este certificado" en "Confiar siempre".</li>
				<li>Reinicia la aplicación nan•web</li>
			</ol>
		</section>

		<section on-platform="lin">
			<h2>Instrucciones para Linux</h2>
			<ol>
				<li>Copia el certificado en el directorio <code>/usr/local/share/ca-certificates/</code>:
					<pre>sudo cp <loc file="server.cert"></loc> /usr/local/share/ca-certificates/server.crt</pre>
				</li>
				<li>Actualiza los certificados CA:
					<pre>sudo update-ca-certificates</pre>
				</li>
				<li>Reinicia la aplicación nan•web</li>
			</ol>
		</section>
	</main>

	<script src="main.js" type="module"></script>
</body>
</html>
